MantisBT

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013236MediaMonkey (current)Podcastspublic2016-04-19 15:372016-04-30 08:06
Reporterpeke 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.1.12Fixed in Version4.1.12 
Summary0013236: Podcast Handling: ITMSS iTunes podcast link handling
DescriptionCurrently MMW do not handle itmss:// podcast links correctly we should improve handling such podcasts.

For testing purposes I've used this:
http://www.desiringgod.org/messages [^] as main URL to find podcast link
https://itunes.apple.com/us/podcast/john-piper-messages-audio/id196050704 [^] was found in main page for subscribing which then resolved into
itmss://itunes.apple.com/us/podcast/john-piper-messages-audio/id196050704?ign-msr=http%3A%2F%2Fwww.desiringgod.org%2Fmessages as podcast link for iTunes and one I used to subscribe MMW to which fail.
Additional Informationbased on feed reports in AIZ-223-98489
TagsNo tags attached.
Fixed in build1788
Attached Files

- Relationships
parent of 0013256newLudek Podcast Handling: Register ITMSS iTunes podcast protocol 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0044465)
peke (developer)
2016-04-19 15:47

Assigned for triage
(0044476)
Ludek (developer)
2016-04-20 14:56
edited on: 2016-04-20 15:02

Fixed in 4.1.12.1788 / 5.0.0.2019

Examples of working/tested iTunes store feeds:

itmss://itunes.apple.com/us/podcast/john-piper-messages-audio/id196050704?ign-msr=http%3A%2F%2Fwww.desiringgod.org%2Fmessages
https://itunes.apple.com/us/podcast/john-piper-messages-audio/id196050704 [^]

(0044480)
peke (developer)
2016-04-21 19:42

Verified 1788


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker